
INDIR="/home/tiger/xgiga_dumpEmb_encoder/embedding"
output="encoder.out"
rm $output
for split in train
do
    name="encoder_$split"
    echo $name >> $output

    slg=en
    tlg=fr
    command="python3 ../visualizeEmb.py -m visualizeDocEmbPair --system-files $INDIR/encoder_${split}_${slg}/document_embedding.jsonl $INDIR/encoder_${split}_${tlg}/document_embedding.jsonl -o /opt/tiger/sumtest/clg_graphs_encoder/${slg}_${tlg} -n $name"
    echo $command
    $command

    slg=en
    tlg=zh
    command="python3 ../visualizeEmb.py -m visualizeDocEmbPair --system-files $INDIR/encoder_${split}_${slg}/document_embedding.jsonl $INDIR/encoder_${split}_${tlg}/document_embedding.jsonl -o /opt/tiger/sumtest/clg_graphs_encoder/${slg}_${tlg} -n $name"
    echo $command
    $command
done
